Package org.apache.catalina.storeconfig

## Class CatalinaClusterSF

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreFactoryBase
  - - org.apache.catalina.storeconfig.CatalinaClusterSF

All Implemented Interfaces:
  `IStoreFactory`

    public class CatalinaClusterSF
    extends StoreFactoryBase

Generate Cluster Element with Membership,Sender,Receiver,Deployer and ReplicationValve

### Field Summary

### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

`sm`

### Constructor Summary

Constructors
`CatalinaClusterSF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `storeChildren​(PrintWriter aWriter, int indent, Object aCluster, StoreDescription parentDesc)` Store the specified Cluster children.

### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, store, storeElement, storeElementArray, storeXMLHead`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CatalinaClusterSF

    public CatalinaClusterSF()

### Method Detail

#### storeChildren

    public void storeChildren​(PrintWriter aWriter,
                              int indent,
                              Object aCluster,
                              StoreDescription parentDesc)
                       throws Exception

Store the specified Cluster children.

Overrides:
  `storeChildren` in class `StoreFactoryBase`
Parameters:
  `aWriter` - PrintWriter to which we are storing
  `indent` - Number of spaces to indent this element
  `aCluster` - Cluster whose properties are being stored
  `parentDesc` - The element description
Throws:
  `Exception` - if an exception occurs while storing